VAGRANTFILE_API_VERSION = "2"

Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|
    config.vm.box = "generic/ubuntu2204"
    config.ssh.insert_key = false
    config.ssh.private_key_path = ["vagrantkey", "~/.vagrant.d/insecure_private_key"]
    config.vm.provider :virtualbox do |v|
        v.memory = 4096
        v.cpus = 4
    end
    config.vm.synced_folder "./", "/vagrant"
    config.vm.define "ubuntu" do |ubuntu|
        ubuntu.vm.network :private_network, ip: "192.168.56.10"
        config.vm.network :forwarded_port, guest: 8080, guest_ip: "192.168.56.10", host: 8080, host_ip: "127.0.0.1"
        ubuntu.vm.hostname = "cicd-server"
    end
    config.vm.provision "file", source: "vagrantkey.pub", destination: "~/.ssh/authorized_keys"
    config.vm.provision "ansible_local" do |ansible|
        ansible.playbook = "./init.yaml"
    end
end